Skip to main content
`Ctrl`+`K`

# AOMappingHasApplicationIndex

Checks if an `AO` has a requested application index.

## Synopsis

    #include "petscao.h"
    PetscErrorCode AOMappingHasApplicationIndex(AO ao, PetscInt idex, PetscBool *hasIndex)

Not Collective

## Input Parameters

- ao - The `AO`

- idex - The application index

## Output Parameter

- hasIndex - Flag is `PETSC_TRUE` if the index exists

## Developer Notes

The name of the function is wrong, it should be `AOHasApplicationIndex`

## See Also

Application Orderings, `AOMappingHasPetscIndex()`, `AOCreateMapping()`, `AO`

## Level

intermediate

## Location

src/vec/is/ao/impls/mapping/aomapping.c

Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages